org.apache.cassandra.cql3

## Class ResultSet.Codec

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.Codec

- All Implemented Interfaces:
    CBCodec<ResultSet>
  Enclosing class:
    ResultSet

      public static class ResultSet.Codec
      extends java.lang.Object
      implements CBCodec<ResultSet>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Codec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet` | `decode(io.netty.buffer.ByteBuf body, int version)`
    `void` | `encode(ResultSet rs, io.netty.buffer.ByteBuf dest, int version)`
    `int` | `encodedSize(ResultSet rs, int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Codec

          public Codec()

  - ### Method Detail

    - #### decode

          public ResultSet decode(io.netty.buffer.ByteBuf body,
                                  int version)

      Specified by:
        `decode` in interface `CBCodec<ResultSet>`

    - #### encode

          public void encode(ResultSet rs,
                             io.netty.buffer.ByteBuf dest,
                             int version)

      Specified by:
        `encode` in interface `CBCodec<ResultSet>`

    - #### encodedSize

          public int encodedSize(ResultSet rs,
                                 int version)

      Specified by:
        `encodedSize` in interface `CBCodec<ResultSet>`

Copyright © 2018 The Apache Software Foundation